<?php

// Lance une session
session_start();

// Version de Zwii
define("ZWII_VERSION", "Zwii 2.1.1");

// Importe la base de donnes
include("./system/data/settings.php");
include("./system/data/articles.php");
include("./system/data/accounts.php");
include("./system/data/positions.php");
include("./system/data/ip.php");
include("./templates/". $set["template"]["value"] ."/info.php");

/*###############*/
/*## FONCTIONS ##*/
/*###############*/

// Fonction de redirection
function go($tag,$report) {
	if(!empty($report)) $_SESSION["zwii_session_error"] = $report;
	header("location:". $tag ."");
	exit;
}

// Fonction d'enregistrement
function write($fp, $mode, $content) {
	$fp = fopen($fp, $mode);
	fwrite($fp, $content);
	fclose($fp);
}


// Fonction du setup d'administration
function setup($row) {
	global $acc;
	global $set;
	
	// Vrifie la session
	if(isset($_SESSION["zwii_session_ip"]) && $_SESSION["zwii_session_ip"] == $_SERVER["REMOTE_ADDR"] && isset($_SESSION["zwii_session_name"]) && array_key_exists($_SESSION["zwii_session_name"], $acc) && isset($_SESSION["zwii_session_password"]) && $_SESSION["zwii_session_password"] == sha1($acc[$_SESSION["zwii_session_name"]]["password"])) {
		
		// Vrifie la SID
		if(isset($_GET["sid"]) && $_GET["sid"] == session_id()) {
			
			// Vrifie le rang d'accs
			if($acc[$_SESSION["zwii_session_name"]]["row"] < $row) go("./index.php?dir=articles&mod=articles&sid=". session_id() ."", "Rang insuffisant pour effectuer l'opration demande !");
			
		} else { include("./system/structure/errors/sid.php"); exit; }
		
	} else go("./index.php?dir=identifier&mod=connexion", "");
}

// Fonction du panneau d'administration
function panel() {
	global $acc;
	
	if(isset($_SESSION["zwii_session_error"])) {
		$box = $_SESSION["zwii_session_error"];
		unset($_SESSION["zwii_session_error"]);
	} else $box = "Bienvenue <strong>". $_SESSION["zwii_session_name"] ."</strong> ! Votre rang d'accs actuel est de <strong>". $acc[$_SESSION["zwii_session_name"]]["row"] ."</strong>.";
	

	echo "
		<div class=\"administrator\">
			<div style=\"float:left;\">[<a href=\"./index.php?dir=settings&mod=settings&sid=". session_id() ."\" onMouseOver=\"open_help('<strong>Rang 3</strong> - Configurer votre site.');\" onMouseOut=\"close_help();\">Paramtres</a>] | [<a href=\"./index.php?dir=accounts&mod=accounts&sid=". session_id() ."\" onMouseOver=\"open_help('<strong>Rang 4</strong> - Gestion des comptes administrateur.');\" onMouseOut=\"close_help();\">Comptes</a>] | [<a href=\"./index.php?dir=articles&mod=articles&sid=". session_id() ."\" onMouseOver=\"open_help('<strong>Rang 1</strong> - Gestion des articles et du menu.');\" onMouseOut=\"close_help();\">Articles</a>] | [<a href=\"./index.php?dir=files&mod=files&sid=". session_id() ."\" onMouseOver=\"open_help('<strong>Rang 2</strong> - Gestionnaire de fichiers.');\" onMouseOut=\"close_help();\">Fichiers</a>]</div>
			<div style=\"text-align:right;\">[<a href=\"./index.php?dir=backup&mod=backup&sid=". session_id() ."\" onMouseOver=\"open_help('<strong>Rang 4</strong> - Sauvegarder la base de donnes de votre site.');\" onMouseOut=\"close_help();\">Sauvegarder</a>] | [<a href=\"./index.php?dir=identifier&mod=close\" onClick=\"return confirm('tes vous certain de vouloir vous dconnecter ?!');\">Quitter</a>]</div>
		</div>
		<div style=\"text-align:center;\" class=\"administrator\" id=\"helpbox\" name=\"". $box ."\">". $box ."</div>
		<input type=\"hidden\" id=\"hide_helpbox\" value=\"". $box ."\" />
	";
}

/*#####################*/
/*## GESTION GNRAL ##*/
/*#####################*/

// Gre l'affichage des modules
if(isset($_GET["dir"]) && isset($_GET["mod"])) {
	if(file_exists("./system/modules/". $_GET["dir"] ."/". $_GET["mod"] .".php")) include("./system/modules/". $_GET["dir"] ."/". $_GET["mod"] .".php");
	else include("./system/structure/errors/404.php");
}

// Gre l'affichage des articles
elseif(isset($_GET["z"])) {

	// Inspecte l'tat du site
	if($set["close"]["value"] == 1) include("./system/structure/errors/close.php");
	else {
		// Vrifie le lien de redirection et importe l'article
		if(!empty($art[$_GET["z"]]["link"])) go($art[$_GET["z"]]["link"], "");
		if(array_key_exists($_GET["z"], $art)) {
		
			include("./system/structure/top.php");
			echo "<h2>". $art[$_GET["z"]]["title"] ."</h2>". $art[$_GET["z"]]["content"];
			include("./system/structure/bottom.php");
			
		} else include("./system/structure/errors/404.php");
	}
	
}

// Gre l'affichage de l'article d'accueil
else {

	// Inspecte l'tat du site
	if($set["close"]["value"] == 1) include("./system/structure/errors/close.php");
	else {
		include("./system/structure/top.php");
		echo "<h2>". $art[$set["index"]["value"]]["title"] ."</h2>". $art[$set["index"]["value"]]["content"];
		include("./system/structure/bottom.php");
	}
	
}

?>